{% load static %}
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Stock analysis report generator</title>
    <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/materialize/1.0.0/css/materialize.min.css">
</head>
<body>
<header>
    <h1 class="center">
        Stock analysis report generator
    </h1>
</header>
<main>
    <section>
        <h2 class="center">
            Config
        </h2>
        <div class="container">
            <div class="collection" id="config_list">
            </div>
            <div class="container">
                <div class="row">
                    <form id="config_list_add_form">
                        <div class="input-field col s8">
                            <input id="config_list_add_input" type="text">
                            <label for="config_list_add_input">stock label</label>
                        </div>
                        <div class="input-field col s4">
                            <button class="btn waves-effect waves-light" type="submit" id="config_list_add_button">Add
                            </button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </section>
    <section>
        <h2 class="center">
            Download
        </h2>
        <div class="container">
            <div class="center">
                <a class="waves-effect waves-light btn" href="{{ dl_link }}" id="dl_button"><i
                        class="material-icons left">cloud_download</i>Download</a>
            </div>
        </div>
    </section>
    <section>
        <h2 class="center">
            Status
        </h2>
        <div class="container">
            <div class="center">
                <div class="row">
                    <div class="container">
                        Running: <span id="status_text"></span>
                        <br>
                        <div class="progress" id="status_running_progress">
                            <div class="determinate" style="width: 0%" id="status_running_progress_child"></div>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="container">
                        <div class="alert card red darken-1" id="running-error">
                        </div>
                    </div>
                </div>
                <div class="row">
                    <form id="status_launch_form">
                        <div class="input-field">
                            <button class="btn waves-effect waves-light" type="submit" id="status_launch_button">
                                Launch
                            </button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </section>
</main>
<script src="https://code.jquery.com/jquery-3.6.0.min.js"
        integrity="sha256-/xUj+3OJU5yExlq6GSYGSHk7tPXikynS7ogEvDej/m4=" crossorigin="anonymous"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/materialize/1.0.0/js/materialize.min.js"></script>
<script src="{% static 'js/app.js' %}"></script>
</body>
</html>
